{pkgs, ...}: {
    home = {
        stateVersion = "23.05";  # Static
        username = "user";
        homeDirectory = "/home/user";

        packages = with pkgs; [
            btop
            bat
            thefuck
            ranger
            icdiff
            podman
            jdk17
            #rofi
            #rofi-rbw
            nwg-launchers
            iconpack-obsidian # icon theme
            networkmanagerapplet
        ];

        sessionPath = [
            ".local/bin"
            "Applications"
        ];

        shellAliases = {
            cao = "fuck";
            top = "btop";
            ls = "ls --color=auto";
            cat = "bat -p --paging=never -u";
            diff = "icdiff";
        };

        file = {
            # hyprland
            ".config/hypr/hyprland.conf".source = ./files/hyprland.conf;

            # ranger
            ".config/ranger/rc.conf".source = ./files/ranger-rc.conf;

            # Use flatseal to change permissions.
            #".local/share/fonts".source = /run/current-system/sw/share/X11/fonts;

            # Fix flatpak fonts
            ".local/share/flatpak/overrides/global".text = ''
                [Context]
                filesystems=/run/current-system/sw/share/X11/fonts:ro;/nix/store:ro;~/.icons;
            '';
        };
    };
}